Skip to main content
PUT
/
v1
/
products
/
{id}
/
features
/
{code}
Set product feature
curl --request PUT \
  --url https://api.hyperline.co/v1/products/{id}/features/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "value": true
}'
{
  "feature_code": "sso",
  "value": true,
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
code
string
required

Body

application/json

Product feature payload.

value
required

Feature value.

Response

200 - application/json
feature_code
string
required

Feature code.

Example:

"sso"

value
required

Feature value.

created_at
string<date-time>
required

Creation date.

Example:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
required

Last update date.

Example:

"2024-12-20T16:04:11Z"